[IronPython] Building IronPython/IronRuby for Mono?

Doug Blank doug.blank at gmail.com
Tue Mar 22 05:41:25 PDT 2011


I went to Codeplex to see about updating Pyjama [1] to use the latest
IronPython and IronRuby, but had some issues:

1) There are only two downloads for 2.7: msi and a zip of binaries.
Shouldn't there be a zip of sources? Or a note how how to get them?

2) I tried the zipped binaries on Mono 2.6.7 under Ubuntu 10.10, but
that doesn't look like it is supported:

$ mono ipy.exe
WARNING: The runtime version supported by this application is unavailable.
Using default runtime: v1.1.4322
** (ipy.exe:11466): WARNING **: Missing method
System.Environment::SetEnvironmentVariable(string,string) in assembly
/usr/lib/mono/1.0/mscorlib.dll, referenced in assembly
/home/dblank/Desktop/IronPython-2.7/ipy.exe
Unhandled Exception: System.MissingMethodException: Method not found:
'System.Environment.SetEnvironmentVariable'.

3) Looked in Source Code; found a zip, but it is 180 MB. Is that all
of svn? How do I get just 2.7?

4) Tried "svn co
https://IronPython.svn.codeplex.com/svn/IronPython_Main
IronPython2.7"... but not sure what this is... it has *some* Ruby
things. How do I build IronRuby and IronPython that use the same DLR
parts?

5) Can I use Mono 2.6.7 to build IronPython 2.7? How? I tried "xbuild"
in the Solutions dir, but only errors.

Thanks for any help on building (or getting) IronPython2.7 for Mono.

-Doug

[1] http://PyjamaProject.org/


More information about the Users mailing list